Bug 816742 - Installer in EFI mode needs to use grub2 and allow /boot on LVM
Installer in EFI mode needs to use grub2 and allow /boot on LVM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
RejectedBlocker RejectedNTH
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 16:47 EDT by joshua
Modified: 2012-07-18 13:57 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-18 13:57:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joshua 2012-04-26 16:47:26 EDT
Description of problem:

When I boot the Fedora 17 Beta CD in efi mode, I get different partitioning boot requirements than if I booted in non-efi mode.

Specifically, Anaconda won't install to a /boot that is part of LVM, when in EFI mode.

As I understand it, this is historically because EFI-mode installs for F16 used grub(1)-efi, which didn't understand LVM, consequentially couldn't boot with /boot on LVM, and therefore didn't allow that install/partitioning scenario.


However, F17 is a new day, and different animal.... so why is the above still the case with Fedora 17?  We have grub2-efi which very much does support that functionality... why is Anaconda still assuming grub(1)-efi's lack of /boot-on-LVM support?
Comment 1 Mads Kiilerich 2012-05-11 09:07:10 EDT
grub2-efi in f17 is broken - it is better and usable in f18 even though a lot of 'integration' stuff still has to be done. Using grub2-efi is thus not an option in f17.

So for now I agree that it would be better if anaconda could prevent /boot on LVM (and other fancy configurations) when using EFI.

That might be something that would be nice to get fixed before release - nominating as a blocker. A clear notice in the release note could however also do it.
Comment 2 Anthony Messina 2012-05-11 09:55:51 EDT
How does one nominate it as a blocker?  I'd like to be able to have the following for an upcoming F17 system:

/boot/efi (ideally on /dev/md0, but can settle for /dev/sda)

But if that's not possible, I'm at least hoping for:
/dev/md0: /boot
/dev/md1: /
/dev/md2: /home

where I can save a partition and manually install /boot/efi to /dev/sdb if need be.
Comment 3 Mads Kiilerich 2012-05-11 10:08:24 EDT
(In reply to comment #2)
> How does one nominate it as a blocker?

I already added it as f17blocker.

>  I'd like to be able to have the
> following for an upcoming F17 system:
> 
> /boot/efi (ideally on /dev/md0, but can settle for /dev/sda)

AFAIK the EFI standard mandates that that partition must be FAT. The firmware contains reads the EFI bootloader from the file system. If you want raid at that level them you need firmware/hardware support for it.

> But if that's not possible, I'm at least hoping for:
> /dev/md0: /boot
> /dev/md1: /
> /dev/md2: /home

That is not gonna happen for f17 - but might be possible for f18.
Comment 4 David Lehman 2012-05-11 11:58:15 EDT
(In reply to comment #2)
> /boot/efi (ideally on /dev/md0, but can settle for /dev/sda)
> 
> But if that's not possible, I'm at least hoping for:
> /dev/md0: /boot
> /dev/md1: /
> /dev/md2: /home
> 
> where I can save a partition and manually install /boot/efi to /dev/sdb if need
> be.

You should be able to do this as long as you have a normal partition containing /boot/efi. There's a bug related to md /boot on EFI, though: bug 816823
Comment 5 David Lehman 2012-05-11 12:06:48 EDT
Ok, I was wrong. /boot on md on EFI is totally untested, so we're most likely going to disable it for F17.
Comment 6 Adam Williamson 2012-05-11 20:41:25 EDT
Discussed at 2012-05-11 blocker review meeting. This does not appear to hit any release criteria and there is no possibility of grub2-efi being used for F17. It's far too late to take non-critical grub changes at this point, so this was rejected as NTH, though actually it sounds like the NTH request is to allow anaconda to pull a change to disallow the non-working configurations.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Kamil Páral 2012-05-14 04:14:50 EDT
(In reply to comment #0)
> Specifically, Anaconda won't install to a /boot that is part of LVM, when in
> EFI mode.

Please note that are a lot of issues when using /boot on LVM. See e.g. bug 737508 comment 59.
Comment 8 Jesse Keating 2012-07-18 13:57:12 EDT
This will be fixed in F18 where we are using grub2 for booting efi.

Note You need to log in before you can comment on or make changes to this bug.